package com.czg.market.service;

import com.czg.market.dto.SmsMoneyDetailDto;
import com.czg.market.dto.SmsShopMoneyDetailDTO;
import com.czg.market.entity.SmsShopMoneyDetail;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;

import java.math.BigDecimal;

/**
 * 短信余额明细 服务层。
 *
 * @author ww
 * @since 2025-10-16
 */
public interface SmsShopMoneyDetailService extends IService<SmsShopMoneyDetail> {

    Page<SmsShopMoneyDetailDTO> getSmsMoneyDetailPage(Long shopId);
    Page<SmsShopMoneyDetailDTO> getSmsMoneyDetail2(SmsMoneyDetailDto param);
    /**
     * 统计发送短信总数
     */
    Long countSendTotal(Long shopId);
    /**
     * 统计发送短信累计金额
     */
    BigDecimal countSendAmountTotal(Long shopId);
}
